# CommandCompletions.CommandCompletionHandler (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandCompletions, interface: CommandCompletionHandler

Package co.aikar.commands

# Interface CommandCompletions.CommandCompletionHandler<C extends CommandCompletionContext>

All Known Subinterfaces:
  `CommandCompletions.AsyncCommandCompletionHandler<C>`

Enclosing class:
  CommandCompletions<C extends CommandCompletionContext>

public static interface CommandCompletions.CommandCompletionHandler<C extends CommandCompletionContext>

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getCompletions(C context)`

## Method Details

### getCompletions

Collection<String> getCompletions (C context) throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`